### Signal

# SpiceClientGLib SmartcardManager::card-inserted

#### Declaration

    void
    card_inserted (
      SpiceSmartcardManager* self,
      SpiceClientGLibVReader* vreader,
      gpointer user_data
    )

#### Description [src]

The `SpiceSmartcardManager::card-inserted` signal is emitted whenever a smartcard is inserted in a reader.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`vreader`

  Type: `SpiceClientGLibVReader*`

  `VReader` boxed object corresponding to the reader a new card was inserted in.

  The data is owned by the caller of the function.